
/**
 * Mobile-Menu Button
 */
.menu-button {
	display: grid;
	justify-items: center;
	align-items: center;
	height: 60px;
	padding: 0 25px;
	margin: 0;
	overflow: visible;
	background-color: var(--color-white-0);
	border-radius: 70px;
	border-style: solid;
	border-width: 2px;
	border-color: var(--color-link);
	font-family: var(--menu-font);
	font-size: var(--menu-font-size);
	font-weight: var(--menu-font-weight);
	text-transform: var(--menu-text-transform);
	letter-spacing: var(--menu-letter-spacing);
	color: var(--menu-white);
}

.menu-button:hover,
.menu-button:focus,
.menu-button:active {
	color: var(--color-link);
	background-color: transparent;
	border-color: var(--color-link);
}

.menu-button.active {
	background-color: transparent;
}

.menu-button__text {
	display: inline-block;
	position: relative;
	padding-right: 5px;
	padding-left: 15px;
	line-height: 1;
	text-transform: uppercase;
	color: var(--color-white);
	transition: all var(--ease-base);
	transform: translateY(0%);
}

@media screen and (max-width: 980px) {
	.menu-button__text {
		display: none;
	}
}

.menu-button:hover .menu-button__text,
.menu-button.active .menu-button__text {
	transform: translateY(100%);	
	color: var(--color-white-0);
}

.menu-button__text::before {
	content: attr(data-title);
	position: absolute;
	color: var(--color-white-0);
	transition: all var(--ease-base);
	transform: translateY(-100%);
}

.menu-button:hover .menu-button__text::before,
.menu-button.active .menu-button__text::before {
	color: var(--color-white);
}

/* simplfied menu button */
.menu-button-simple {
	width: 70px;
	height: 70px;
	padding: 0;
}

@media screen and (max-width: 980px) {
	.menu-button,
	.menu-button-simple {
		width: 50px;
		height: 50px;
		padding: 0;
	}
}

.menu-button-simple .menu-button__text {
	display: none;
}

.menu-button__lines-wrapper {
	position: relative;
	display: inline-block;
	width: 30px;
	margin-top: -2px;
	vertical-align: middle;
	background-color: transparent;
}

.menu-button__line:first-child,
.menu-button__line:last-child {
	content: "";
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 30px;
	height: 2px;
	background-color: var(--color-white);
	transition: all var(--ease-base);
}

.menu-button__line:first-child {
	transform: translateY(-4px);
}

.menu-button__line:last-child {
	transform: translateY(4px);
}

.menu-button:hover .menu-button__line:first-child {
	background-color: var(--color-link);
	transform: translateY(0px) rotateZ(90deg);
}

.menu-button:hover .menu-button__line:last-child {
	background-color: var(--color-link);
	transform: translateY(0px) rotateZ(180deg);	
}

.menu-button.active .menu-button__line:first-child {
	transform: translateY(0px) rotateZ(135deg);	
}

.menu-button.active .menu-button__line:last-child {
	transform: translateY(0px) rotateZ(225deg);	
}


/**
 * Mobile Menu
 */
.mobile-menu {
	display: block;
}

.mobile-menu .menu {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.mobile-menu li {
	position: relative;
	display: grid;
	float: none;
	margin: 12px 0;
	padding: 0;
	letter-spacing: 0;
}

.mobile-menu li a {
	position: relative;
	display: grid;
	align-items: center;
	justify-content: start;
	grid-auto-flow: column;
	margin: 0;
	padding: 0;
	cursor: pointer;
	color: var(--color-white);
	line-height: 1em;
	transition: all var(--ease-base), outline 0s;
}

.mobile-menu li a > span {
	position: relative;
	margin-right: 10px;
	justify-self: start;
}

.mobile-menu > .menu > li > a {
	font-size: 3.5rem;
	line-height: 1em;
	font-family: var(--heading-font);
	font-weight: var(--heading-font-weight);
	text-transform: var(--heading-text-transform);
	letter-spacing: var(--heading-letter-spacing);
}

@media screen and (max-width: 1600px) {
	.mobile-menu > .menu > li > a {
		font-size: 2.188rem;
	}
}

@media screen and (max-width: 767px) {
	.mobile-menu > .menu > li > a {
		font-size: 1.875rem;
	}
}

.mobile-menu > .menu > li > a:focus,
.mobile-menu > .menu > li > a:hover,
.mobile-menu > .menu > li > a.is-open,
.mobile-menu > .menu > li.active > a,
.mobile-menu > .menu > li.parent.active > a {
	color: var(--color-link);
}

.mobile-menu .submenu {
	display: none;
	margin: 0;
	padding: 0 0 0 20px;
	list-style-type: none;
}

.mobile-menu .submenu .submenu {
	padding-left: 20px;
}

.mobile-menu .submenu li a {
	padding-left: 25px;
}

.mobile-menu .submenu > li:first-child {
	padding-top: 20px;
}

.mobile-menu .submenu > li:last-child {
	padding-bottom: 20px;
}

.mobile-menu .submenu.is-animating {
	height: 0;
	display: block;
	overflow: hidden;
	transition: height .44s var(--ease-expo-in-out);
}

.mobile-menu .submenu .submenu.is-animating {
	transition: height .36s var(--ease-expo-in-out);
}

.mobile-menu .submenu.is-open {
	display: block;
}

.mobile-menu .submenu > li > a {
	padding: 7px 0;
	font-size: 1.125rem;
	background-color: transparent;
}

.mobile-menu .submenu li > a.is-open,
.mobile-menu .submenu li > a:hover,
.mobile-menu .submenu li > a:focus,
.mobile-menu .submenu li.active > a,
.mobile-menu .submenu li.parent.active > a {
	color: var(--color-link);
}

/* underline decorator */
.mobile-menu li a span::before {
	content: "";
	position: absolute;
	bottom: -1px;
	left: 0;
	width: 0%;
	height: 1px;
	opacity: 0.8;
	display: block;
	background-color: var(--color-link);
	transition: width var(--ease-base);
}

.mobile-menu li > a:focus span::before,
.mobile-menu li > a:hover span::before,
.mobile-menu li > a.is-open span::before,
.mobile-menu li.active > a span::before,
.mobile-menu li.parent.active > a span::before {
	width: 100%;
}

.mobile-menu .submenu li a span::before {
	bottom: -4px;
}

/* arrow */
.mobile-menu li.parent > a svg {
	position: relative;
	justify-self: end;
	transition: all .3s ease;
}

.mobile-menu > .menu > li > a > svg {
	width: 24px;
}

.mobile-menu .submenu > li > a > svg {
	width: 16px;
}

.mobile-menu li.parent > a.is-open svg {
	transform: rotateZ(180deg);
}